Package org.apache.sling.resourceresolver.impl.providers.stateful

# Class BasicResolveContext<T>

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.stateful.BasicResolveContext<T>

All Implemented Interfaces:
  `org.apache.sling.spi.resource.provider.ResolveContext<T>`

public class BasicResolveContext<T> extends Object implements org.apache.sling.spi.resource.provider.ResolveContext<T>
Resolve context implementation for a resource provider. This class is not thread safe (same as the resource resolver).

## Constructor Summary

Constructors
Constructor
Description
`BasicResolveContext(@NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull ProviderManager resolveContextManager, @NotNull ResourceResolverControl control, T providerState, @NotNull String parentPath)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.spi.resource.provider.ResolveContext<?>`
`getParentResolveContext()`
`org.apache.sling.spi.resource.provider.ResourceProvider<?>`
`getParentResourceProvider()`
`T`
`getProviderState()`
`org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicResolveContext

public BasicResolveContext(@NotNull @NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull @NotNull ProviderManager resolveContextManager, @NotNull @NotNull ResourceResolverControl control, @Nullable T providerState, @NotNull @NotNull String parentPath)

## Method Details

### getResourceResolver

public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

Specified by:
  `getResourceResolver` in interface `org.apache.sling.spi.resource.provider.ResolveContext<T>`

### getProviderState

public T getProviderState()

Specified by:
  `getProviderState` in interface `org.apache.sling.spi.resource.provider.ResolveContext<T>`

### getParentResolveContext

public org.apache.sling.spi.resource.provider.ResolveContext<?> getParentResolveContext()

Specified by:
  `getParentResolveContext` in interface `org.apache.sling.spi.resource.provider.ResolveContext<T>`

### getParentResourceProvider

public org.apache.sling.spi.resource.provider.ResourceProvider<?> getParentResourceProvider()

Specified by:
  `getParentResourceProvider` in interface `org.apache.sling.spi.resource.provider.ResolveContext<T>`